<?

##############################################################################
// eCards Virtual Greeting Card System
// Copyright (C) 2004 by 4n-community.de
// http://www.4n-community.de
// ---------------------------------------------------------------------------
// LICENSE:
// This Script is copyright of www.4n-community.de and may free of charge be used exclusively for private homepage.
// For free use  must all copyright notices unchanged in the Script! Also not be removed, converted, hidden or made invisible.
// If you liked not to indicate the copyright reference or the Script on commercial sides begin, you can acquire a license (= > LIZENZ.txt)!
// ---------------------------------------------------------------------------
// Filename: Card_V7.1
// Original Author: Lothar Dambowsky
// Purpose: Create via web a Virtual Greeting Card
// ---------------------------------------------------------------------------
// Forum to the Script of: http://www.4n-community.de/modules.php?name=4nForum
##############################################################################

$module_name = basename(dirname(__FILE__));
get_lang($module_name);
$index=0;

OpenTable();

$max_size = 120 ;
// Bitte hier die maximale Größe der Vorschaubildchen eintragen.

$quality = 70 ;
// jpg-Thumbnail Quality 1-100  Qualität der jpg-Vorschaubilder.

$versionGD = 0 ;

$text_25 = "keine";
$text_26 = "Vorschau";

if ($versionGD == 0 ) {
$testGD = get_extension_funcs("gd");  if (!$testGD){ echo "<b><br>"._MENUETHUMB1."<br></b>"; } else { echo "<br>"._MENUETHUMB6."<br>" ; }
if(function_exists("imagecreatetruecolor")||function_exists("imagecreatetruecolor()")) { $imTest1 = @imagecreatetruecolor(12,12); }
if ($imTest1) {echo ""._MENUETHUMB7." <br><br>"; $versionGD = 2; @imagedestroy($imTest1);}
  else { if(function_exists("imagecreate")||function_exists("imagecreate()")) { $imTest2 = @imagecreate(12,12); }
     if ($imTest2) {echo ""._MENUETHUMB8."<br><br>"; $versionGD = 1; @imagedestroy($imTest2); }
       else {echo "<br>"._MENUETHUMB2."<br>"; $versionGD = 0; } } }


  echo "<br>"._MENUETHUMB9." <br><br></center>";
  

 echo "<b><br> "._MENUETHUMB10." '$ziel':</b><br><br>";
 $ziel1="modules/Card/image/$ziel/";
 $handle = opendir($ziel1);
 while($file = readdir($handle)){
 if($file != "." && $file != ".." && $file != "index.htm" && $file == stristr($file,"th_")) {
 echo " $file ";
 $info  = getimagesize("modules/Card/image/$ziel/$file");
 echo " ( $info[3] ) <br>";}}
 echo "<br><br><center><a href='admin.php?op=menue&ziel=$ziel'><b>"._CARDBACK."</b></a></center>";
 if(file_exists("modules/Card/file.php")){include "modules/Card/file.php"; CloseTable(); include("footer.php");}
 
// Dieser Link muss erhalten bleiben und darf nicht entfernt werden - not edit or delete this link, thanks!
echo "<br><hr><center>eCard Modul-PHP-Nuke &copy by <a href='http://www.4n-community.de' target='_blank'>4n-community</center>";

CloseTable();

include("footer.php");

?>
